Package org.apache.tomcat.util.digester

# Class Digester.EnvironmentPropertySource

java.lang.Object
org.apache.tomcat.util.digester.EnvironmentPropertySource
org.apache.tomcat.util.digester.Digester.EnvironmentPropertySource

All Implemented Interfaces:
  `IntrospectionUtils.PropertySource`, `IntrospectionUtils.SecurePropertySource`

Enclosing class:
  Digester

@Deprecated public static class Digester.EnvironmentPropertySource extends EnvironmentPropertySource
Deprecated.
Use `EnvironmentPropertySource` This will be removed in Tomcat 10 onwards.
A `IntrospectionUtils.SecurePropertySource` that uses environment variables to resolve expressions. Still available for backwards compatibility.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnvironmentPropertySource()`
  Deprecated.

- ## Method Summary

  ### Methods inherited from class org.apache.tomcat.util.digester.EnvironmentPropertySource

  `getProperty, getProperty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EnvironmentPropertySource

    public EnvironmentPropertySource()
    Deprecated.